Subject: [Ips] iSNS DevGetNext question

From: "Paul Hughes" <[email-masked]>
Date: Tue, 25 Mar 2008 14:30:27 -0600

Is it possible for an iSNS client (an iSCSI target) to use the iSNS DevGetNext request message to obtain a list of both registered and un-registered members of the Discovery Domain by specifying a zero-length operating attribute with DD Member iSCSI Device Name (tag 2068) as the tag or is querying for un-registered DD members only possible using a DevAttrQry request?

I've tried sending a DevGetNext request with iSCSI Name (tag 32) as the message key attribute, and operating attributes of iSCSI Node Type (tag 33 with an "initiator" value) and DD Member iSCSI Name (tag 2068 with zero-length) but the DevGetNextRsp is returned with Message Format Error status.  I tried this with Microsoft iSNS Server v3.0.

Section 5.6.5.2 (Device Attribute Query Request) of RFC 4171 mentions the following:

DD membership can be discovered through the DevAttrQry message by including either DD member attributes (i.e., DD Member iSCSI Index, DD Member iSCSI Node [sic], DD Member iFCP Node, DD Member Portal Index, DD Member Portal IP Addr, and DD Member Portal TCP/UDP) or the object key of the Storage Node or Portal (i.e., iSCSI Name, iSCSI Index, Portal IP Addr, Portal TCP/UDP Port, and Portal Index) in the Operating Attributes.  Using DD member attributes SHALL return both registered and unregistered member Storage Nodes and/or Portals of a DD.  DevAttrQry messages using the Storage Node and/or Portal object key SHALL return only member Storage Nodes or Portals that are currently registered in the iSNS database.

Section 5.6.5.3 (Device Get Next Request) does not mention DD member attributes, so it is unclear whether DD member attributes can be used as operating attributes of a DevGetNext request.

Thanks,
Paul

_______________________________________________
Ips mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ips